#property indicator_chart_window
extern string Settings_n_1 = "--------------------------";
extern int Side = 1;
extern int MP_Y = 1; 
extern int MP_X = 0;

//--------------------------------------------------------------------
extern string Settings_n_2 = "--------------------------";
extern string Colors_Setting =" ";
extern color Highest_Color          = DodgerBlue;
extern color Distance_from_Highest_Color = Salmon;
extern color Lowest_Color           = Red;
extern color Distance_from_Lowest_Color  = LightSkyBlue;
extern color Hi_to_Lo_Color         = Khaki;
extern color Daily_Av_Up_Color      = Blue;
extern color Daily_Av_Dn_Color      = Red;
extern color Time_n_Spread_Color    = DarkViolet;
extern color PipsToOpen_Up_Color    = Blue;
extern color PipsToOpen_Dn_Color    = Gold;

//--------------------------------------------------------------------
extern string Settings_n_3 = "--------------------------";
extern bool ViewOHLC = false;
extern bool ViewCur = false;
extern bool ViewDayWeek = false;

//--------------------------------------------------------------------

//===================================================================+
double vA, vB, vC;
int TimeFrame, x, y;
string text, sPeriod, sDayOfWeek;
color SignalColor;

//-------------------------------------------------------------------+

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

switch(Period())
   {
      case 1 : sPeriod="m1"; break;
      case 5 : sPeriod="m5"; break;
      case 15 : sPeriod="m15"; break;
      case 30 : sPeriod="m30"; break;
      case 60 : sPeriod="h1"; break;
      case 240 : sPeriod="h4"; break;
      case 1440 : sPeriod="D1"; break;
      case 10080 : sPeriod="W1"; break;
      case 43200 : sPeriod="MN"; break;
      default : sPeriod="-";
   }
switch(DayOfWeek())
   {
      case 1 : sDayOfWeek=""; break;
      case 2 : sDayOfWeek=""; break;
      case 3 : sDayOfWeek=""; break;
      case 4 : sDayOfWeek=""; break;
      case 5 : sDayOfWeek=""; break;
      case 6 : sDayOfWeek=""; break;
      case 0 : sDayOfWeek=""; break;
      default : sDayOfWeek="-";
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
     for(int i = ObjectsTotal() - 1; i >= 0; i--)
     {
       string label = ObjectName(i);
       if(StringSubstr(label, 0, 4) != "MP14")
           continue;
       ObjectDelete(label);   
     }   //----
   return(0);
   
   //ObjectsDeleteAll(0,OBJ_HLINE);
   //ObjectsDeleteAll(0,OBJ_TEXT);
   //ObjectsDeleteAll(0,OBJ_LABEL);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   // 
if (ViewOHLC)
{
   Write("MP14777", 0, 1, 1, Symbol(), 10, "Arial Black", CornflowerBlue);
   Write("MP147771", 0, 65, 1, "["+sPeriod+"]", 10, "Arial Black", Plum);
   
   vB=iOpen(NULL,1440,0); text="O: "+DoubleToStr(vB, Digits);
   Write("MP147772", 0, 115, 1, text, 10, "Arial", LightGreen);
   
   vB=iHigh(NULL,1440,0); text="H: "+DoubleToStr(vB, Digits);
   Write("MP147773", 0, 185, 1, text, 10, "Arial", Highest_Color);
   
   vB=iLow(NULL,1440,0); text="L: "+DoubleToStr(vB, Digits);
   Write("MP147774", 0, 255, 1, text, 10, "Arial", Lowest_Color);
   
   vB=iClose(NULL,1440,0); text="C: "+DoubleToStr(vB, Digits);
   Write("MP147775", 0, 325, 1, text, 10, "Arial", Gold);
   
   vB=iHigh(NULL,1440,0)-iLow(NULL,1440,0); text="Pp: "+DoubleToStr(vB/Point,0);
   Write("MP147776", 0, 395, 1, text, 10, "Arial", Hi_to_Lo_Color);
   
   vB=iHigh(NULL,1440,0)-iClose(NULL,1440,0); text="Dn: "+DoubleToStr(vB/Point,0);
   Write("MP147777", 0, 445, 1, text, 10, "Arial", Distance_from_Highest_Color);
   
   vB=iClose(NULL,1440,0)-iLow(NULL,1440,0); text="Up: "+DoubleToStr(vB/Point,0);
   Write("MP147778", 0, 495, 1, text, 10, "Arial", Distance_from_Lowest_Color);
   
   vB=iClose(NULL,1440,0)-iOpen(NULL,1440,0); text="Op: "+DoubleToStr(vB/Point,0);
   Write("MP147779", 0, 545, 1, text, 10, "Arial", PaleGreen);
   
   vA=(iHigh(NULL,1440,0)-iClose(NULL,1440,0))*MathPow(10,Digits);
   vC=(iHigh(NULL,1440,0)-iLow(NULL,1440,0))*MathPow(10,Digits);
   vB=100-(vA*100/vC); text="%: "+DoubleToStr(vB,2);
   Write("MP147788", 0, 595, 1, text, 10, "Arial", Aqua);
}

   //
   string strTime;
   strTime = TimeToStr(TimeCurrent()+3600,TIME_MINUTES|TIME_SECONDS);
if (ViewDayWeek)
{
   strTime = "[ "+sDayOfWeek+" ] "+TimeToStr(TimeCurrent()+3600,TIME_MINUTES|TIME_SECONDS);
}
   if (MarketInfo(NULL,22)) Write("MP14888", Side, MP_X+1, MP_Y+0, strTime, 12, "Arial Black", Silver);
   else Write("MP14888", Side, MP_X+1, MP_Y+0, strTime, 12, "Arial Black", Lime);

if (ViewCur)
{   
   //
   Write("MP141111", 2, 1, 1, "EURUSD:", 10, "Arial Black", CornflowerBlue);
   vB=iClose("EURUSD",1440,0); text=DoubleToStr(vB,4);
   Write("MP141112", 2, 70, 1, text, 10, "Arial", Goldenrod);
   vB=iHigh("EURUSD",1440,0)-iLow("EURUSD",1440,0); text=" ["+DoubleToStr(vB/0.0001,0)+"]";
   Write("MP141117", 2, 110, 1, text, 10, "Arial", Hi_to_Lo_Color);
   
   Write("MP141115", 2, 140, 1, "GBPUSD:", 10, "Arial Black", CornflowerBlue);
   vB=iClose("GBPUSD",1440,0); text=DoubleToStr(vB,4);
   Write("MP141116", 2, 210, 1, text, 10, "Arial", Goldenrod);
   vB=iHigh("GBPUSD",1440,0)-iLow("GBPUSD",1440,0); text=" ["+DoubleToStr(vB/0.0001,0)+"]";
   Write("MP141118", 2, 250, 1, text, 10, "Arial", Hi_to_Lo_Color);
   
   Write("MP141113", 2, 285, 1, "USDJPY:", 10, "Arial Black", CornflowerBlue);
   vB=iClose("USDJPY",1440,0); text=DoubleToStr(vB,2);
   Write("MP141114", 2, 355, 1, text, 10, "Arial", Goldenrod);
   vB=iHigh("USDJPY",1440,0)-iLow("USDJPY",1440,0); text=" ["+DoubleToStr(vB/0.01,0)+"]";
   Write("MP141119", 2, 390, 1, text, 10, "Arial", Hi_to_Lo_Color);
   
   Write("MP141120", 2, 430, 1, "USDCHF:", 10, "Arial Black", CornflowerBlue);
   vB=iClose("USDCHF",1440,0); text=DoubleToStr(vB,4);
   Write("MP141121", 2, 500, 1, text, 10, "Arial", Goldenrod);
   vB=iHigh("USDCHF",1440,0)-iLow("USDCHF",1440,0); text=" ["+DoubleToStr(vB/0.0001,0)+"]";
   Write("MP141122", 2, 540, 1, text, 10, "Arial", Hi_to_Lo_Color);
}
//----
   return(0);
  }
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+

// Write Procedure
void Write(string LBL, double side, int pos_x, int pos_y, string text, int fontsize, string fontname, color Tcolor=CLR_NONE)
     {
       ObjectCreate(LBL, OBJ_LABEL, 0, 0, 0);
       ObjectSetText(LBL,text, fontsize, fontname, Tcolor);
       ObjectSet(LBL, OBJPROP_CORNER, side);
       ObjectSet(LBL, OBJPROP_XDISTANCE, pos_x);
       ObjectSet(LBL, OBJPROP_YDISTANCE, pos_y);
     }
     

